import 'package:equatable/equatable.dart';
import 'package:furima_item_search/item.dart';
import 'package:furima_item_search/site.dart';

class ItemPageData extends Equatable {
  Site site;
  String url;
  int currentIndex;
  List<Item> list;
  bool hasNext;

  ItemPageData({
    this.site,
    this.currentIndex,
    this.hasNext,
    this.list,
    this.url,
  }) : super([site, url, currentIndex, hasNext, list.length]);

  String get nextPageUrl {
    switch (site) {
      case Site.rakuma:
      case Site.mercari:
        final pageNumber = currentIndex + 1;
        return this.url + '&page=' + pageNumber.toString();
      case Site.yahoo:
        final count = 50;
        return this.url +
            '&b=' +
            ((currentIndex) * count + 1).toString() +
            '&n=' +
            count.toString();
    }
  }
}
