
import 'package:furima_item_search/query.dart';

enum Site { mercari, rakuma, yahoo }

class SiteHelper {
  static String getName(Site site) {
    switch (site) {
      case Site.mercari:
        return 'メルカリ';
      case Site.rakuma:
        return 'ラクマ';
      case Site.yahoo:
        return 'ヤフオク!';
    }
  }

  static String _getBasePath(Site site) {
    switch (site) {
      case Site.mercari:
        return 'https://www.mercari.com/jp/search/?';
      case Site.rakuma:
        return 'https://fril.jp/s?';
      case Site.yahoo:
        return 'https://auctions.yahoo.co.jp/search/search?fixed=1';
    }
  }

  static String getSearchPath(Site site, Query query) {
    String url = _getBasePath(site) + query.parameter(site);
    url = Uri.encodeFull(url);
    return url;
  }
}
